Package pywbem :: Module cim_xml :: Class SCOPE

[frames] | no frames]

# Class SCOPE

source code

        xml.dom.Node --+
                       |
    xml.dom.minidom.Node --+
                           |
     xml.dom.minidom.Element --+
                               |
                      CIMElement --+
                                   |
                                  SCOPE

    The SCOPE element defines the scope of a QUALIFIER.DECLARATION in
    the case that there are restrictions on the scope of the Qualifier
    declaration.

    <!ELEMENT SCOPE EMPTY>
    <!ATTLIST SCOPE
         CLASS        (true|false)      'false'
         ASSOCIATION  (true|false)      'false'
         REFERENCE    (true|false)      'false'
         PROPERTY     (true|false)      'false'
         METHOD       (true|false)      'false'
         PARAMETER    (true|false)      'false'
         INDICATION   (true|false)      'false'>

Instance Methods

__init__(self, scopes=`{``}`) | source code

Inherited from `CIMElement`: `appendChildren`, `appendOptionalChild`, `setName`, `setOptionalAttribute`

Inherited from `xml.dom.minidom.Element`: `__repr__`, `getAttribute`, `getAttributeNS`, `getAttributeNode`, `getAttributeNodeNS`, `getElementsByTagName`, `getElementsByTagNameNS`, `hasAttribute`, `hasAttributeNS`, `hasAttributes`, `removeAttribute`, `removeAttributeNS`, `removeAttributeNode`, `removeAttributeNodeNS`, `setAttribute`, `setAttributeNS`, `setAttributeNode`, `setAttributeNodeNS`, `setIdAttribute`, `setIdAttributeNS`, `setIdAttributeNode`, `unlink`, `writexml`

Inherited from `xml.dom.minidom.Node`: `__nonzero__`, `appendChild`, `cloneNode`, `getInterface`, `getUserData`, `hasChildNodes`, `insertBefore`, `isSameNode`, `isSupported`, `normalize`, `removeChild`, `replaceChild`, `setUserData`, `toprettyxml`, `toxml`

Class Variables

Inherited from `xml.dom.minidom.Element`: `nodeType`, `nodeValue`, `schemaType`

Inherited from `xml.dom.minidom.Node`: `namespaceURI`, `nextSibling`, `ownerDocument`, `parentNode`, `prefix`, `previousSibling`

Inherited from `xml.dom.Node`: `ATTRIBUTE_NODE`, `CDATA_SECTION_NODE`, `COMMENT_NODE`, `DOCUMENT_FRAGMENT_NODE`, `DOCUMENT_NODE`, `DOCUMENT_TYPE_NODE`, `ELEMENT_NODE`, `ENTITY_NODE`, `ENTITY_REFERENCE_NODE`, `NOTATION_NODE`, `PROCESSING_INSTRUCTION_NODE`, `TEXT_NODE`

Properties
Inherited from `xml.dom.minidom.Element`: `attributes`, `localName` Inherited from `xml.dom.minidom.Node`: `firstChild`, `lastChild`

Method Details

### __init__(self, scopes=`{``}`)
(Constructor)

source code

Overrides: xml.dom.minidom.Element.__init__